GDB (xrefs)

Functions
common-inferior.h File Reference

Go to the source code of this file.

## Functions
const char * | get_exec_wrapper ()
char * | get_exec_file (int err)
const char * | get_inferior_cwd ()
void | set_inferior_cwd (const char *cwd)

## Function Documentation

## ◆ get_exec_file()

char* get_exec_file | ( | int | err | ) |

Definition at line 167 of file corefile.c.

References _, err, error(), and exec_filename.

Referenced by bsd_kvm_open(), darwin_attach(), exec_file_locate_attach(), extended_remote_attach(), fbsd_make_corefile_notes(), fork_inferior(), gnu_attach(), gnu_detach(), go32_create_inferior(), inf_ptrace_attach(), load_command(), procfs_attach(), procfs_create_inferior(), procfs_detach(), procfs_make_note_section(), remote_add_inferior(), run_command_1(), setup_inferior(), spu_child_post_attach(), target_announce_detach(), windows_attach(), and windows_detach().

## ◆ get_exec_wrapper()

const char* get_exec_wrapper | ( |  | ) |

Definition at line 41 of file fork-child.c.

References exec_wrapper.

Referenced by execv_argv::init_for_shell(), and startup_inferior().

## ◆ get_inferior_cwd()

const char* get_inferior_cwd | ( |  | ) |

Definition at line 237 of file infcmd.c.

References current_inferior(), and inferior::cwd.

Referenced by extended_remote_set_inferior_cwd(), fork_inferior(), show_cwd_command(), and windows_create_inferior().

## ◆ set_inferior_cwd()

void set_inferior_cwd | ( | const char * | cwd | ) |

Definition at line 222 of file infcmd.c.

References current_inferior(), inferior::cwd, and gdb_assert.

Referenced by set_cwd_command().